Bug 1693685 - Document Default Build History Limits
Summary: Document Default Build History Limits
Keywords:
Status: MODIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Vikram Goyal
QA Contact: Xiaoli Tian
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-28 13:30 UTC by Adam Kaplan
Modified: 2019-08-22 20:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Adam Kaplan 2019-03-28 13:30:28 UTC
Document URL: https://docs.openshift.com/container-platform/3.11/dev_guide/builds/advanced_build_operations.html#build-pruning

Section Number and Name: Builds/Advanced Build Operations/Build Pruning

Describe the issue: doc incorrectly states that completed builds are persisted indefinitely. In 3.11 and above only the 5 most recent builds for Completed and Failed are retained by default.

Suggestions for improvement: Update the 3.11 as follows -
"By default, the five most recent Completed builds and the five most recent Failed builds are retained."

The doc should also note that removing `successfulBuildsHistoryLimit` and/or `failedBuildsHistoryLimit` field in the BuildConfig spec will cause builds of the respective category to be retained indefinitely.

Additional information: DevEx will also need to update their API doc note in https://github.com/openshift/api/blob/release-3.11/build/v1/types.go#L904

Comment 1 Adam Kaplan 2019-03-29 13:49:23 UTC
OpenShift API PR: https://github.com/openshift/api/pull/271

Comment 2 Adam Kaplan 2019-05-08 21:48:39 UTC
@Vikram - please let me know if you want the API doc PR backported to 3.11.z


Note You need to log in before you can comment on or make changes to this bug.